@echo off
mode con lines=60 cols=150
title MYST N MONSTERS

cls
echo.
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                MYST N MONSTERS                                                                                                                   
echo                Aktuelle Version 1.0                                                                                                              
echo                2013-05-2                                                                                                                         
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                Versionsgeschichte                                                                                                                
echo                0.1 Alpha   - Kampfsystem berarbeitet, direkte Aktion auf Eingabe                                                                
echo                0.2 Alpha   - Savestate System implementiert                                                                                      
echo                0.3 Alpha   - Kampfsystem extrahiert, externe Files                                                                               
echo                0.4 Alpha   - Fhigkeiten werden mit steigendem Level freigeschaltet                                                              
echo                                                                                                                                                  
echo                0.1 Beta    - Komplett berarbeitetes Men, Savestates, Submen, Klassen implementiert, Attribute implementiert                   
echo                              Debuffs implementiert, Zustzliche Gegner                                                                           
echo                0.2 Beta    - Umlaute werden korrekt angezeigt, Anleitung implementiert, Gold implementiert, Items implementiert                  
echo                0.3 Beta    - HP Balken implementiert, einheitliches Interface, Dungeon implementiert                                             
echo                0.4.1 Beta  - Savestate Bug behoben, Itemdrops implementiert                                                                      
echo                0.4.2 Beta  - Shop Implementiert                                                                                                  
echo                0.5.1 Beta  - Fenstergrsse verndert, Interface angepasst                                                                        
echo                0.6.1 Beta  - Debuffanzeige implementiert                                                                                         
echo                0.7.1 Beta  - Mehr Gegner hinzugefgt, Bugs mit DOTs behoben                                                                      
echo                                                                                                                                                  
echo                1.0         - Fertiges Spiel, kleinere Bugfixes                                                                                   
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                Programmcode                                 Jens Kaminsky                                                                        
echo                Artwork, Visuelle Umsetzung, Dokumentation   Barbara Bachmann                                                                     
echo                                                             Laura Pelosi                                                                         
echo                                                                                                                                                  
echo                Zustzliches Danke an                        Janick Frauendiener                                                                  
echo                                                             Robin Schrch                                                                        
echo                                                             Nol Simmen                                                                          
echo                                                                                                                                                  
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+

ping localhost -n 2 >nul
pause>nul

cls

SET hlevel=1
REM Heldlevel

SET hexp=0
REM Helderfahrung

REM hname
REM Heldname

SET hmoney=0
REM Gold des Helden

SET gstr=0
SET gsta=0
SET gwis=0
SET bstr=20
SET bsta=20
SET bwis=20

SET istr=0
SET ista=0
SET iwis=0

SET nweapon=none
SET sweapon=0
SET narmor=none
SET sarmor=0
REM verschiedene werte fr Items n(name) s(stats)

REM str=Starke sta=Ausdauer wis=Weisheit
REM (h)str	Held (gesamt)
REM (g)str	geskillt
REM (b)str	basis
REM (l)str	durch level
REM (i)str  durch Items

REM hklasse
REM Held Klasse (Krieger, Schurke, Magier)

SET ASPIEL=0
REM Aktuelles spiel vorhanden? 0=nein 1=ja

REM hstr Held starke
REM hsta Held Ausdauer
REM hwis Held Weisheit

REM hhp
REM Held HP (Lebenspunkte)

REM hdamage
REM Held Schaden

:HAUPTMENU

:MNEUESSPIEL

cls
echo.
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo           ##     ## ##    ##  ######  ########    ##    ##    ##     ##  #######  ##    ##  ######  ######## ######## ########   ######          
echo           ###   ###  ##  ##  ##    ##    ##       ###   ##    ###   ### ##     ## ###   ## ##    ##    ##    ##       ##     ## ##    ##         
echo           #### ####   ####   ##          ##       ####  ##    #### #### ##     ## ####  ## ##          ##    ##       ##     ## ##               
echo           ## ### ##    ##     ######     ##       ## ## ##    ## ### ## ##     ## ## ## ##  ######     ##    ######   ########   ######          
echo           ##     ##    ##          ##    ##       ##  ####    ##     ## ##     ## ##  ####       ##    ##    ##       ##   ##         ##         
echo           ##     ##    ##    ##    ##    ##       ##   ###    ##     ## ##     ## ##   ### ##    ##    ##    ##       ##    ##  ##    ##         
echo           ##     ##    ##     ######     ##       ##    ##    ##     ##  #######  ##    ##  ######     ##    ######## ##     ##  ######          
echo                                                                                                                                                  
echo                           ......                                                                                      ......                     
echo                          /=:==:=\                                                                                    /=:==:=\                    
echo                          \:=::=:/                                                                                    \:=::=:/                    
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                     Hauptmenu                                        ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                 -----------------                                    ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
IF %ASPIEL% == 0 echo             -------------o----o-------------                     Neues Spiel                        -------------o----o-------------       
IF %ASPIEL% == 1 echo             -------------o----o-------------                  Spiel fortsetzen                      -------------o----o-------------       
echo               X============================X                                                              X============================X         
echo             -------------o----o-------------                      Spiel Laden                         -------------o----o-------------       
echo                                                                                                                                          
echo                                                               Spiel Speichern                                                            
echo                                                                                                                                          
echo                                                                   Beenden                                                                
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                           W:UP S:DOWN D:CONFIRM                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                          \      /                                                                                    \      /                    
echo                           \    /                                                                                      \    /                     
echo                            \  /                                                                                        \  /                      
echo                             \/                                                                                          \/                       
echo                                                                                                                                                  
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
CHOICE /C:WSD /N
IF ERRORLEVEL == 3 GOTO NEUESSPIEL
IF ERRORLEVEL == 2 GOTO MSPIELLADEN
IF ERRORLEVEL == 1 GOTO MBEENDEN

:MSPIELLADEN

cls
echo.
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo           ##     ## ##    ##  ######  ########    ##    ##    ##     ##  #######  ##    ##  ######  ######## ######## ########   ######          
echo           ###   ###  ##  ##  ##    ##    ##       ###   ##    ###   ### ##     ## ###   ## ##    ##    ##    ##       ##     ## ##    ##         
echo           #### ####   ####   ##          ##       ####  ##    #### #### ##     ## ####  ## ##          ##    ##       ##     ## ##               
echo           ## ### ##    ##     ######     ##       ## ## ##    ## ### ## ##     ## ## ## ##  ######     ##    ######   ########   ######          
echo           ##     ##    ##          ##    ##       ##  ####    ##     ## ##     ## ##  ####       ##    ##    ##       ##   ##         ##         
echo           ##     ##    ##    ##    ##    ##       ##   ###    ##     ## ##     ## ##   ### ##    ##    ##    ##       ##    ##  ##    ##         
echo           ##     ##    ##     ######     ##       ##    ##    ##     ##  #######  ##    ##  ######     ##    ######## ##     ##  ######          
echo                                                                                                                                                  
echo                           ......                                                                                      ......                     
echo                          /=:==:=\                                                                                    /=:==:=\                    
echo                          \:=::=:/                                                                                    \:=::=:/                    
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                     Hauptmenu                                        ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                 -----------------                                    ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
IF %ASPIEL% == 0 echo             -------------o----o-------------                      Neues Spiel                         -------------o----o-------------       
IF %ASPIEL% == 1 echo             -------------o----o-------------                   Spiel fortsetzen                       -------------o----o-------------       
echo               X============================X                                                              X============================X         
echo             -------------o----o-------------                     Spiel Laden                        -------------o----o-------------       
echo                                                                                                                                          
echo                                                               Spiel Speichern                                                            
echo                                                                                                                                          
echo                                                                   Beenden                                                                
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                           W:UP S:DOWN D:CONFIRM                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                          \      /                                                                                    \      /                    
echo                           \    /                                                                                      \    /                     
echo                            \  /                                                                                        \  /                      
echo                             \/                                                                                          \/                       
echo                                                                                                                                                  
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
CHOICE /C:WSD /N
IF ERRORLEVEL == 3 GOTO SPIELLADEN
IF ERRORLEVEL == 2 GOTO MSPIELSPEICHERN
IF ERRORLEVEL == 1 GOTO MNEUESSPIEL

:MSPIELSPEICHERN

cls
echo.
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo           ##     ## ##    ##  ######  ########    ##    ##    ##     ##  #######  ##    ##  ######  ######## ######## ########   ######          
echo           ###   ###  ##  ##  ##    ##    ##       ###   ##    ###   ### ##     ## ###   ## ##    ##    ##    ##       ##     ## ##    ##         
echo           #### ####   ####   ##          ##       ####  ##    #### #### ##     ## ####  ## ##          ##    ##       ##     ## ##               
echo           ## ### ##    ##     ######     ##       ## ## ##    ## ### ## ##     ## ## ## ##  ######     ##    ######   ########   ######          
echo           ##     ##    ##          ##    ##       ##  ####    ##     ## ##     ## ##  ####       ##    ##    ##       ##   ##         ##         
echo           ##     ##    ##    ##    ##    ##       ##   ###    ##     ## ##     ## ##   ### ##    ##    ##    ##       ##    ##  ##    ##         
echo           ##     ##    ##     ######     ##       ##    ##    ##     ##  #######  ##    ##  ######     ##    ######## ##     ##  ######          
echo                                                                                                                                                  
echo                           ......                                                                                      ......                     
echo                          /=:==:=\                                                                                    /=:==:=\                    
echo                          \:=::=:/                                                                                    \:=::=:/                    
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                     Hauptmenu                                        ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                 -----------------                                    ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
IF %ASPIEL% == 0 echo             -------------o----o-------------                      Neues Spiel                         -------------o----o-------------       
IF %ASPIEL% == 1 echo             -------------o----o-------------                   Spiel fortsetzen                       -------------o----o-------------       
echo               X============================X                                                              X============================X         
echo             -------------o----o-------------                      Spiel Laden                         -------------o----o-------------       
echo                                                                                                                                          
echo                                                              Spiel Speichern                                                           
echo                                                                                                                                          
echo                                                                   Beenden                                                                
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                           W:UP S:DOWN D:CONFIRM                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                          \      /                                                                                    \      /                    
echo                           \    /                                                                                      \    /                     
echo                            \  /                                                                                        \  /                      
echo                             \/                                                                                          \/                       
echo                                                                                                                                                  
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
CHOICE /C:WSD /N
IF ERRORLEVEL == 3 GOTO SPIELSPEICHERN
IF ERRORLEVEL == 2 GOTO MBEENDEN
IF ERRORLEVEL == 1 GOTO MSPIELLADEN

:MBEENDEN

cls
echo.
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo           ##     ## ##    ##  ######  ########    ##    ##    ##     ##  #######  ##    ##  ######  ######## ######## ########   ######          
echo           ###   ###  ##  ##  ##    ##    ##       ###   ##    ###   ### ##     ## ###   ## ##    ##    ##    ##       ##     ## ##    ##         
echo           #### ####   ####   ##          ##       ####  ##    #### #### ##     ## ####  ## ##          ##    ##       ##     ## ##               
echo           ## ### ##    ##     ######     ##       ## ## ##    ## ### ## ##     ## ## ## ##  ######     ##    ######   ########   ######          
echo           ##     ##    ##          ##    ##       ##  ####    ##     ## ##     ## ##  ####       ##    ##    ##       ##   ##         ##         
echo           ##     ##    ##    ##    ##    ##       ##   ###    ##     ## ##     ## ##   ### ##    ##    ##    ##       ##    ##  ##    ##         
echo           ##     ##    ##     ######     ##       ##    ##    ##     ##  #######  ##    ##  ######     ##    ######## ##     ##  ######          
echo                                                                                                                                                  
echo                           ......                                                                                      ......                     
echo                          /=:==:=\                                                                                    /=:==:=\                    
echo                          \:=::=:/                                                                                    \:=::=:/                    
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                     Hauptmenu                                        ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
echo                           ݲOO                                 -----------------                                    ݲOO                     
echo                           ݲOO                                                                                      ݲOO                     
IF %ASPIEL% == 0 echo             -------------o----o-------------                      Neues Spiel                         -------------o----o-------------       
IF %ASPIEL% == 1 echo             -------------o----o-------------                   Spiel fortsetzen                       -------------o----o-------------       
echo               X============================X                                                              X============================X         
echo             -------------o----o-------------                      Spiel Laden                         -------------o----o-------------       
echo                                                                                                                                          
echo                                                               Spiel Speichern                                                            
echo                                                                                                                                          
echo                                                                  Beenden                                                               
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                           W:UP S:DOWN D:CONFIRM                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                                                                                                                                          
echo                          \      /                                                                                    \      /                    
echo                           \    /                                                                                      \    /                     
echo                            \  /                                                                                        \  /                      
echo                             \/                                                                                          \/                       
echo                                                                                                                                                  
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
CHOICE /C:WSD /N
IF ERRORLEVEL == 3 GOTO BEENDEN
IF ERRORLEVEL == 2 GOTO MNEUESSPIEL
IF ERRORLEVEL == 1 GOTO MSPIELSPEICHERN

:SPIELLADEN
REM 1 = Heldstufe
REM 2 = Held erfahrung
REM 3 = Held name
REM 4 = Starke geskillt
REM 5 = Ausdauer geskillt
REM 6 = Weisheit geskillt

cls
echo.
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                Spiel laden ?                                                                                                                     
echo                                                                                                                                                  
echo                J Ja                                                                                                                              
echo                N Nein                                                                                                                            
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
CHOICE /C:JN /N
IF ERRORLEVEL == 2 GOTO HAUPTMENU
IF ERRORLEVEL == 1 GOTO LOAD

:LOAD
SET /p hlevel=<Save\Savestate1.txt
SET /p hexp=<Save\Savestate2.txt
SET /p hname=<Save\Savestate3.txt
SET /p gstr=<Save\Savestate4.txt
SET /p gsta=<Save\Savestate5.txt
SET /p gwis=<Save\Savestate6.txt
SET /p hklasse=<Save\Savestate7.txt
SET /p hmoney=<Save\Savestate8.txt

SET /p fdungeon=<Save\Savestate11.txt

SET /p nweapon=<Save\Savestate21.txt
SET /p sweapon=<Save\Savestate22.txt
SET /p narmor=<Save\Savestate23.txt
SET /p sarmor=<Save\Savestate24.txt

SET hlevel=%hlevel:~0,-1%
SET hexp=%hexp:~0,-1%
SET hname=%hname:~0,-1%
SET gstr=%gstr:~0,-1%
SET gsta=%gsta:~0,-1%
SET gwis=%gwis:~0,-1%
SET hklasse=%hklasse:~0,-1%
SET hmoney=%hmoney:~0,-1%

SET fdungeon=%fdungeon:~0,-1%

SET nweapon=%nweapon:~0,-1%
SET sweapon=%sweapon:~0,-1%
SET narmor=%narmor:~0,-1%
SET sarmor=%sarmor:~0,-1%

cls
echo.
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                Spielstand geladen                                                                                                                
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
pause>nul
SET ASPIEL=1
GOTO SPIELMENU

:SPIELSPEICHERN
IF %ASPIEL% == 0 GOTO MSPIELSPEICHERN
cls
echo.
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                Alter Spielstand wird berschrieben, sicher?                                                                                      
echo                                                                                                                                                  
echo                J Ja                                                                                                                              
echo                N Nein                                                                                                                            
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
CHOICE /C:JN /N
IF ERRORLEVEL == 2 GOTO HAUPTMENU
IF ERRORLEVEL == 1 GOTO SAVE

:SAVE

echo %hlevel% > Save\Savestate1.txt
echo %hexp% > Save\Savestate2.txt
echo %hname% > Save\Savestate3.txt
echo %gstr% > Save\Savestate4.txt
echo %gsta% > Save\Savestate5.txt
echo %gwis% > Save\Savestate6.txt
echo %hklasse% > Save\Savestate7.txt
echo %hmoney% > Save\Savestate8.txt

echo %fdungeon% > Save\Savestate11.txt

echo %nweapon% > Save\Savestate21.txt
echo %sweapon% > Save\Savestate22.txt
echo %narmor% > Save\Savestate23.txt
echo %sarmor% > Save\Savestate24.txt

cls
echo.
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                Spiel gespeichert                                                                                                                 
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
pause>nul

GOTO HAUPTMENU

:NEUESSPIEL
cls
IF %ASPIEL% == 1 GOTO SPIELMENU

CALL Tutorial.bat

cls
echo.
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                Whle deine Klasse !                                                                                                              
echo                                                                                                                                                  
echo                1 Krieger                                                                                                                         
echo                                                                                                                                                  
echo                   ___      Starker Krieger der den Nahkampf bevorzugt wo er mit harten Treffern und tdlichen Attacken seine Gegner richtet      
echo                                                                                                                                                
echo                  ___     Strke   : steigert Schaden                                                                                           
echo                          Ausdauer : steigert Lebenspunkte                                                                                      
echo                 _/   \_                                                                                                                          
echo                            Angriff                                                                                         
echo                     _    Verteidigung                                                                              
echo               ___  _ __________                                                                                                             
echo              _ _ _   _________/                                                                                                             
echo              _   _   _                                                                                                                       
echo              ___                                                                                                                             
echo                                                                                                                                                  
echo                2 Schurke                                                                                                                         
echo                                                                                                                                                  
echo                   ___      Hinterhltiger Meuchler der seine Gegner vergiftet, ausweidet und langsam verbluten lsst                             
echo                                                                                                                                                
echo                  ___     Strke   : steigert Schaden                                                                                           
echo                          Ausdauer : steigert Lebenspunkte                                                                                      
echo                 _/   \_                                                                                                                          
echo              # /       \ #   Angriff                                                                                   
echo              #/ /   \ \#   Verteidigung                                                                                    
echo             ###/     \###                                                                                                                      
echo              #         #                                                                                                                       
echo                                                                                                                                                
echo                  ___                                                                                                                           
echo                                                                                                                                                  
echo                3 Magier                                                                                                                          
echo                                                                                                                                                  
echo                   ___      Der Herr der arkanen Mchte entfesselt ein gewaltiges Flammeninferno und verflucht seine Gegner                       
echo                                                                                                                                                
echo                  ___  [] Weisheit   : steigert Schaden                                                                                         
echo                        Ausdauer   : steigert Lebenspunkte                                                                                    
echo                 _/   \_                                                                                                                        
echo                       \   Angriff                                                                             
echo                    \    Verteidigung                                                                                    
echo                     \                                                                                                                       
echo                _/   \                                                                                                                         
echo                                                                                                                                              
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo                                                                                                                                                  
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
CHOICE /C:123 /N
IF ERRORLEVEL == 3 GOTO SETHKLASSE3
IF ERRORLEVEL == 2 GOTO SETHKLASSE2
IF ERRORLEVEL == 1 GOTO SETHKLASSE1

:SETHKLASSE1
SET hklasse=Krieger
GOTO SETHNAME

:SETHKLASSE2
SET hklasse=Schurke
GOTO SETHNAME

:SETHKLASSE3
SET hklasse=Magier
GOTO SETHNAME

:SETHNAME
cls
echo %hklasse%
echo.
echo Gib deinem Helden einen Namen
echo.
SET /p  hname=

SET ASPIEL=1
SET fdungeon=0
GOTO SPIELMENU

:SPIELMENU
call Stats.bat

cls
echo.
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
echo   
echo   
echo   
echo   
echo                %hklasse%    %hname%
echo   
echo                Stufe :   %hlevel%
echo                EP    :   %hexp% / %hfexp%
echo   
echo                Gold  :   %hmoney%
echo   
echo                ----------------------------------------
echo   
call Klassen.bat
echo   
echo   
echo   
echo                Lebenspunkte : %hhp%
echo   
echo                Schaden      : %hdamage%
echo   
echo                          Gesamt  skilled   Items
echo   
echo                Strke   :  %hstr%      %gstr%       %istr%   steigert physischen Schaden
echo   
echo                Ausdauer :  %hsta%      %gsta%       %ista%   steigert Lebenspunkte
echo   
echo                Weisheit :  %hwis%      %gwis%       %iwis%   steigert magischen Schaden
echo   
echo                Waffe   : +%sweapon%  %nweapon%
echo                Rstung : +%sarmor%  %narmor%
echo   
echo   
echo   
echo   
echo   
echo                1 Hauptmen
echo                2 Shop
echo                3 Kampfmen
echo   
echo   
echo   
echo   
echo   
echo   +-----------------------------------------------------------------------------------------------------------------------------------------------+
CHOICE /C:123 /N
IF ERRORLEVEL == 3 GOTO KAMPFMENU
IF ERRORLEVEL == 2 GOTO SHOP
IF ERRORLEVEL == 1 GOTO HAUPTMENU

:KAMPFMENU
call Kampfmenu.bat
GOTO SPIELMENU

:SHOP
call Shop.bat
GOTO SPIELMENU


:BEENDEN